## tty-solitaire 1.3.0

=== Makefile ===
VERSION = 1.3.0

CC     ?= gcc
CFLAGS ?= -g
CFLAGS += -W -Wall -pedantic -ansi -std=c99 -DVERSION=\"$(VERSION)\" -fcommon

# The Ncurses library with wide character support is available as "lncurses"
# under macOS.
ifeq ($(shell uname -s),Darwin)
	LDFLAGS += -lncurses
else
	LDFLAGS += -lncursesw
endif

PREFIX ?= /usr/local

EXECUTABLE = ttysolitaire
SRC_DIR    = src
SRC        = $(SRC_DIR)/ttysolitaire.c
SRC_OBJECTS = $(SRC_DIR)/common.o   \
              $(SRC_DIR)/frame.o    \
              $(SRC_DIR)/card.o     \
              $(SRC_DIR)/stack.o    \
              $(SRC_DIR)/deck.o     \
              $(SRC_DIR)/cursor.o   \
              $(SRC_DIR)/keyboard.o \
              $(SRC_DIR)/gui.o      \
              $(SRC_DIR)/game.o     \

TESTS_EXECUTABLE = ttysolitaire_test
TESTS_DIR        = tests
TESTS_SRC        = $(TESTS_DIR)/ttysolitaire_test.c
TESTS_OBJECTS = $(TESTS_DIR)/frame_test.o       \
                $(TESTS_DIR)/card_test.o        \
                $(TESTS_DIR)/stack_test.o       \
                $(TESTS_DIR)/deck_test.o        \
                $(TESTS_DIR)/cursor_test.o      \
                $(TESTS_DIR)/keyboard_test.o    \
                $(TESTS_DIR)/gui_test.o         \
                $(TESTS_DIR)/game_test.o        \
                $(TESTS_DIR)/test_helper.o      \
                $(TESTS_DIR)/test_helper_test.o \

.PHONY: test clean install uninstall

all: ${EXECUTABLE}

ttysolitaire: $(SRC_OBJECTS)
	$(CC) $(CFLAGS) $(SRC) -o $(EXECUTABLE) $(SRC_OBJECTS) $(LDFLAGS)

test: $(SRC_OBJECTS) $(TESTS_OBJECTS)
	$(CC) $(CFLAGS) $(TESTS_SRC) -o $(TESTS_EXECUTABLE) $(TESTS_OBJECTS) $(SRC_OBJECTS) $(LDFLAGS)
	./$(TESTS_EXECUTABLE)

clean:
	rm -rf $(SRC_DIR)/*.o $(TESTS_DIR)/*.o $(EXECUTABLE) $(TESTS_EXECUTABLE)

install:
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m755 $(EXECUTABLE) $(DESTDIR)$(PREFIX)/bin/$(EXECUTABLE)

uninstall:
	rm -f $(PREFIX)/bin/$(EXECUTABLE)

=== debian/changelog ===
tty-solitaire (1.3.0-2) unstable; urgency=medium

  * d/patches/0001-reproducible-build.patch (Closes: #993279)
  * d/control: Bump Standards-Version

 -- Sven Wick <sven.wick@gmx.de>  Thu, 02 Sep 2021 22:30:12 +0200

tty-solitaire (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #969419)

 -- Sven Wick <sven.wick@gmx.de>  Sat, 24 Apr 2021 01:26:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_install:

override_dh_auto_build:
	make
	help2man -n "ncurses-based klondike solitaire game" -N -S TTY-SOLITAIRE -o $(CURDIR)/ttysolitaire.1 $(CURDIR)/ttysolitaire

%:
	dh $@

## tty-solitaire 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.3.0
+VERSION = 1.3.1
 
 CC     ?= gcc
 CFLAGS ?= -g

=== debian/changelog ===
tty-solitaire (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop d/patches/0001-reproducible-build.patch
  * d/rules: change hardening=+all
                 to hardening=+all,-format (Closes: #997164)

 -- Sven Wick <sven.wick@gmx.de>  Sat, 23 Oct 2021 23:16:14 +0200

=== debian/control ===
Source: tty-solitaire
Section: games
Priority: optional
Maintainer: Sven Wick <sven.wick@gmx.de>
Build-Depends: debhelper-compat (= 13), help2man, libncurses-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mpereira/tty-solitaire
Vcs-Browser: https://salsa.debian.org/swick/tty-solitaire
Vcs-Git: https://salsa.debian.org/swick/tty-solitaire.git

Package: tty-solitaire
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ncurses-based klondike solitaire game
 Play solitaire in your favorite terminal,
 screen/tmux or even in a remote SSH session.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format
 
 override_dh_auto_install:

=== debian/watch ===
version=4                                                                                                              
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tty-solitaire-$1\.tar\.gz/ \
  https://github.com/mpereira/tty-solitaire/tags .*/v?(\d\S+)\.tar\.gz
